# $Revision: 1.12 $, $Date: 2012/01/28 21:23:38 $
%define		source_name gmpc-libnotify
Summary:	Libnotify plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka libnotify dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-libnotify
Version:	11.8.16
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	f538e267ce3a0856e5029068108d4b0e
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LIBNOTIFY
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gmpc-devel >= 0.19.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gmpc >= 0.19.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libnotify plugin sends to the notification daemon an announcement
on song change.

%description -l pl.UTF-8
Wtyczka libnotify wysyła do demona powiadomień informację o zmianie
utworu.

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/libnotifyplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-libnotify.spec,v $
Revision 1.12  2012/01/28 21:23:38  glen
- up to 11.8.16

Revision 1.11  2011/04/09 13:15:34  wiget
- fix for libnotify 0.7.x
- rel. 3

Revision 1.10  2011/04/06 19:11:29  lisu
- fix build with libnotify 0.7

Revision 1.9  2011/04/06 19:04:26  lisu
- rel 2

Revision 1.8  2010/09/12 17:09:11  wiget
- 0.20.0

Revision 1.7  2009/09/19 22:30:35  charles
- updated to 0.19.0
- updated BRs

Revision 1.6  2009/09/13 16:03:10  wiget
- updated to 0.18.100

Revision 1.5  2009/05/26 23:20:14  charles
- BR: pkgconfig

Revision 1.4  2009/03/28 17:34:20  wiget
- updated to 0.18.0

Revision 1.3  2009/01/24 17:44:00  megabajt
- updated to 0.17.0
- removed obsolete -plugins_path.patch and -API.patch
- added descriptions

Revision 1.2  2008/02/04 11:17:31  czarny
- new patch for newer libnotify/GTK version API

Revision 1.1  2008-02-04 09:59:52  czarny
- new based on gmpc-plugin-extraplaylist
- adaptized
- NFY; desc TODO
